aspose file tools*
The moose likes JForum and the fly likes problem on upgrading 2.1.6->2.1.7 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » JForum
Bookmark "problem on upgrading 2.1.6->2.1.7" Watch "problem on upgrading 2.1.6->2.1.7" New topic
Author

problem on upgrading 2.1.6->2.1.7

Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
1. 2.1.7 is missing log4j ..... you have to copy there by yourself
(without that, you cannot start tomcat)

2. i think the upgrade sql is not complete, all the forum is missing now
and I try to set the group permission, it appear

Caused by: net.jforum.exceptions.DatabaseException: com.mysql.jdbc.exceptions.MySQLSyntaxErrorException: Unknown table 'jforum_role_values' in MULTI DELETE


(but I found that this table is already exists... so i don't know what's problem now...)
[originally posted on jforum.net by Ryu]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
ok.. got the solution now

1. log4j jar didn't included in the latest download



2. config/database/mysql/mysql_40.sql
Change it to
PermissionControl.deleteAllRoleValues = DELETE jforum_role_values \
FROM jforum_role_values rv, jforum_roles r \
WHERE r.role_id = rv.role_id \
AND r.group_id = ?



3. by default, all permission has set to false.. you have to set all roles again

[originally posted on jforum.net by Ryu]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Yes, the log4j jar is missing. We'll fix this releasing the package again.

Rafael
[originally posted on jforum.net by Rafael Steil]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
The downloads are fixed so that they include log4j again
[originally posted on jforum.net by lazee]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Ryu wrote:
2. config/database/mysql/mysql_40.sql
Change it to
PermissionControl.deleteAllRoleValues = DELETE jforum_role_values \
FROM jforum_role_values rv, jforum_roles r \
WHERE r.role_id = rv.role_id \
AND r.group_id = ?


I had to change that to


I'm using mysql 5.0
[originally posted on jforum.net by pala]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Hi - just a quick clarification. I'm using 2.1.6 with embedded HSQLDB. I'd like to upgrade to 2.1.7.

2.1.6 is on a headless machine (remote). I can't use the Swing DatabaseManager hsql tool remotely. Should I copy the database files locally and then use the tool? I seem to recall needing to run hsqldb before the DatabaseManager could connect. Do I need to run hsqldb before using the swing tool or does the swing tool do the right thing?

Assumig I can run the sql upgrade script, then all i have to do is copy the whole 2.1.7 directory over the existing 2.1.6 directory (being careful to protect the SystemGlobals.properties and jforum-custom.conf files?
[originally posted on jforum.net by dferrero]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Yes, copying the database files to your local machine and edit them will work.

Check the Upgrade page to see how correctly upgrade JForum.

Rafael
[originally posted on jforum.net by Rafael Steil]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
The instructions are not clear about what to do with:

"You'll like to take special care for SystemGlobals.properties and jforum-custom.conf, as these are the main configuration files."

What does this mean? I noticed that the 2.1.7 contains a new SystemGlobals.properties - Do I need to hand merge the 2.1.6 SystemGlobals.properties with the new version or what? That seems very error prone.

Please advise.
[originally posted on jforum.net by dferrero]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Yes, you do.

Rafael

[originally posted on jforum.net by Rafael Steil]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
dferrero wrote:The instructions are not clear about what to do with:

"You'll like to take special care for SystemGlobals.properties and jforum-custom.conf, as these are the main configuration files."

What does this mean? I noticed that the 2.1.7 contains a new SystemGlobals.properties - Do I need to hand merge the 2.1.6 SystemGlobals.properties with the new version or what? That seems very error prone.

Please advise.


I agree with you, it's not clear.

This worked for me: I copied the jforum-custom.conf file from the old installation directory, and kept the SystemGlobals.properties from the new delivery.


Hope this helps!

[originally posted on jforum.net by enricod]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
I upgraded the doc to state that it is necessary to merge them

Rafael
[originally posted on jforum.net by Rafael Steil]
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: problem on upgrading 2.1.6->2.1.7